/*============================================================================*/
/* POST-APARTHEID INCOME AND EXPENDITURE SERIES                               */
/*----------------------------------------------------------------------------*/
/* Development Policy Research Unit, University of Cape Town. 2016            */ 
/*============================================================================*/
/* File:    04 Filenames 2010                                                 */
/* Purpose: This file pulls the filenames for the 2005/06 data from the       */
/*          Filenames.xlsx file.                                              */
/*============================================================================*/

import excel "$DOFILEDIR/Filenames.xlsx", sheet("Filenames") firstrow case(lower) clear

local year 2010

count
local maxobs `r(N)'

forvalues counter = 1(1)`maxobs' {
	if filename`year'[`counter']~="" {
		local prefixer = prefix[`counter']
		global `prefixer'`year' = filename`year'[`counter']
		local test = upper("`prefixer'")+"`year'"
		noisily di "$`test'"
	}
}

