/*============================================================================*/
/* POST-APARTHEID INCOME AND EXPENDITURE SERIES                               */
/*----------------------------------------------------------------------------*/
/* Development Policy Research Unit, University of Cape Town. 2015            */ 
/*============================================================================*/
/* File:    12 Compile 2000                                                   */
/* Purpose: This file begins to put together the IES data, creating standard  */
/*          location and household size variables, for example.               */
/*============================================================================*/

use "$ORIGDATADIR/$GENERAL2000", clear
rename *, lower
rename psuno psu
rename nopersons hhsize
keep uqnr psu hhsize weight

tempfile char
save `char'


/*----------------------------------------------------------------------------*/


use "$ORIGDATADIR/$DOMWORK2000", clear
rename *, lower

recode p04* (.=0)

forvalues worker = 1(1)7 {
	gen p0402q040`worker' = p0402q04*(p0402q01==`worker')
}

recode p0402q040* (.=0)

keep uqnr p0402q040*
collapse (sum) p0402q040*, by(uqnr)

tempfile hdom
save `hdom'


/*----------------------------------------------------------------------------*/


use "$ORIGDATADIR/$GENERAL2000", clear
rename *, lower

recode p0303q0101-undecincome (.=0)
recode p0101q01 (2=0), gen(urban)
drop p01* p02* p0301* p0302* weight psuno duno hhno nopersons s* total*

tempfile hexp
save `hexp'


/*----------------------------------------------------------------------------*/


use "$ORIGDATADIR/$PRODUCTS2000", clear
rename *, lower

collapse (sum) p2205*, by(uqnr)

tempfile hpro
save `hpro'


/*----------------------------------------------------------------------------*/


use "$ORIGDATADIR/$PERSON2000", clear
rename *, lower

rename personno personnr
rename gender sex
rename popgroup race
rename prov province
drop psuno duno hhno present incomesource worked p2401total jobcode stccode

recode p2401* (.=0)

gen agegrp = min(17,int(age/5))

order uqnr personnr age agegrp sex race 

merge m:1 uqnr using `char'
drop if _merge~=3
drop _merge

merge m:1 uqnr using `hdom'
drop if _merge==2
drop _merge

merge m:1 uqnr using `hexp'
drop if _merge==2
drop _merge

merge m:1 uqnr using `hpro'
drop if _merge==2
drop _merge

save "$DATADIR/IES2000_Merged.dta", replace

