/*============================================================================*/
/* POST-APARTHEID INCOME AND EXPENDITURE SERIES                               */
/*----------------------------------------------------------------------------*/
/* Development Policy Research Unit, University of Cape Town. 2015            */ 
/*============================================================================*/
/* File:    21 Weights 1995                                                   */
/* Purpose: This file creates new cross-entropy weights for the 1995 IES.     */
/*============================================================================*/


noisily di _newline(2) "1995 weights..."

use "$DATADIR/IES1995_Merged.dta", clear
merge m:1 uqnr using "$DATADIR/Weights/CE Weights 1995.dta", nogen
rename weight weight_orig
la var weight_orig "Original household weight (StatsSA)"
rename hw weight
la var weight "Cross-Entropy weight, based on ASSA2008 estimates"

order uqnr personnr sex_ies age_ies race_ies urban province weight weight_orig
drop ieshh* *_palms
rename *_ies *

la def SEX 1 "Male" 2 "Female"
la def RACE 1 "African" 2 "Coloured" 3 "Asian" 4 "White"
la def PROV 1 "Western Cape" 2 "Eastern Cape" 3 "Northern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" 9 "Limpopo"
la def URBAN 1 "Urban" 0 "Rural"

la val sex SEX
la val race RACE
la val province PROV
la val urban URBAN

la var personnr "Person ID"
drop agegrp

save "$DATADIR/IES1995_Compiled.dta", replace

keep uqnr personnr sex age race urban province weight weight_orig district ea
order weight weight_orig, last
sort uqnr personnr

save "$DATADIR/IES1995_Roster.dta", replace
