/*============================================================================*/
/* POST-APARTHEID INCOME AND EXPENDITURE SERIES                               */
/*----------------------------------------------------------------------------*/
/* Development Policy Research Unit, University of Cape Town. 2015            */ 
/*============================================================================*/
/* File:    22 Weights 2000                                                   */
/* Purpose: This file creates new cross-entropy weights for the 2000 IES.     */
/*============================================================================*/

noisily di _newline(2) "2000 weights..."

use "$DATADIR/IES2000_Merged.dta", clear
merge m:1 uqnr using "$DATADIR/Weights/CE Weights 2000.dta", nogen
rename weight weight_orig
la var weight_orig "Original household weight (StatsSA)"
rename hw weight
la var weight "Cross-Entropy weight, based on ASSA2008 estimates"

recode age (999=.)
la def SEX 1 "Male" 2 "Female"
la def RACE 1 "African" 2 "Coloured" 3 "Asian" 4 "White"
la def PROV 1 "Western Cape" 2 "Eastern Cape" 3 "Northern Cape" 4 "Free State" 5 "KwaZulu-Natal" 6 "North West" 7 "Gauteng" 8 "Mpumalanga" 9 "Limpopo"
la def URBAN 1 "Urban" 0 "Rural"

la val sex SEX
la val race RACE
la val province PROV
la val urban URBAN

order uqnr personnr sex age race urban province weight weight_orig
save "$DATADIR/IES2000_Compiled.dta", replace


keep uqnr personnr sex age race urban province weight weight_orig 
order weight weight_orig, last
sort uqnr personnr
save "$DATADIR/IES2000_Roster.dta", replace

