/*============================================================================*/
/* POST-APARTHEID INCOME AND EXPENDITURE SERIES                               */
/*----------------------------------------------------------------------------*/
/* Development Policy Research Unit, University of Cape Town. 2015            */ 
/*============================================================================*/
/* File:    24 Weights 2010                                                   */
/* Purpose: This file creates new cross-entropy weights for the 2010/11 IES.  */
/*============================================================================*/

noisily di _newline(2) "2010/11 weights..."

use "$DATADIR/IES2010_Merged.dta", clear
merge m:1 uqnr using "$DATADIR/Weights/CE Weights 2010.dta", nogen
rename weight weight_orig
la var weight_orig "Original household weight (StatsSA)"
rename hw weight
la var weight "Cross-Entropy weight, based on ASSA2008 estimates"

order uqnr personnr sex age race urban province weight weight_orig
save "$DATADIR/IES2010_Compiled.dta", replace

keep uqnr personnr sex age race urban province weight weight_orig 
order weight weight_orig, last
sort uqnr personnr
save "$DATADIR/IES2010_Roster.dta", replace

