egen p_wages_inc = rowtotal(b83f005 b84f005 b85f005 b86f005 b87f005 b83f002 b84f002 b85f002 b86f002 b87f002 b84f001 b83f001 b85f001 b86f001 b87f001 b83f003 b84f003 b85f003 b86f003 b87f003 b83f004 b84f004 b85f004 b86f004 b87f004)
egen wages_inc = sum(p_wages_inc), by(uqnr)
drop b83f005 b84f005 b85f005 b86f005 b87f005 b83f002 b84f002 b85f002 b86f002 b87f002 b84f001 b83f001 b85f001 b86f001 b87f001 b83f003 b84f003 b85f003 b86f003 b87f003 b83f004 b84f004 b85f004 b86f004 b87f004
la var p_wages_inc "Salary, wages; income from business - IND"
la var wages_inc "Salary, wages; income from business"
egen p_letting_inc = rowtotal(b83f006 b84f006 b85f006 b86f006 b87f006)
egen letting_inc = sum(p_letting_inc), by(uqnr)
drop b83f006 b84f006 b85f006 b86f006 b87f006
la var p_letting_inc ". Letting of fixed property - IND"
la var letting_inc ". Letting of fixed property"
egen p_royalties_inc = rowtotal(b83f007 b84f007 b85f007 b86f007 b87f007)
egen royalties_inc = sum(p_royalties_inc), by(uqnr)
drop b83f007 b84f007 b85f007 b86f007 b87f007
la var p_royalties_inc ". Royalties - IND"
la var royalties_inc ". Royalties"
egen p_interest_inc = rowtotal(b83f008 b84f008 b85f008 b86f008 b87f008 b83f009 b84f009 b85f009 b86f009 b87f009)
egen interest_inc = sum(p_interest_inc), by(uqnr)
drop b83f008 b84f008 b85f008 b86f008 b87f008 b83f009 b84f009 b85f009 b86f009 b87f009
la var p_interest_inc ". Interest and dividends - IND"
la var interest_inc ". Interest and dividends"
egen p_pension_inc = rowtotal(b83f010 b84f010 b85f010 b86f010 b87f010)
egen pension_inc = sum(p_pension_inc), by(uqnr)
drop b83f010 b84f010 b85f010 b86f010 b87f010
la var p_pension_inc ". Employment-based pension - IND"
la var pension_inc ". Employment-based pension"
egen p_annuities_inc = rowtotal(b83f011 b84f011 b85f011 b86f011 b87f011)
egen annuities_inc = sum(p_annuities_inc), by(uqnr)
drop b83f011 b84f011 b85f011 b86f011 b87f011
la var p_annuities_inc ". Annuities; similar recurring receipts from own investments - IND"
la var annuities_inc ". Annuities; similar recurring receipts from own investments"
egen p_alimony_inc = rowtotal(b83f016 b84f016 b85f016 b86f016 b87f016)
egen alimony_inc = sum(p_alimony_inc), by(uqnr)
drop b83f016 b84f016 b85f016 b86f016 b87f016
la var p_alimony_inc ". Alimony, maintenance & similar allowances - IND"
la var alimony_inc ". Alimony, maintenance & similar allowances"
egen p_regallow_inc = rowtotal(b83f017 b84f017 b85f017 b86f017 b87f017)
egen regallow_inc = sum(p_regallow_inc), by(uqnr)
drop b83f017 b84f017 b85f017 b86f017 b87f017
la var p_regallow_inc ". Regular allowances from family members living elsewhere - IND"
la var regallow_inc ". Regular allowances from family members living elsewhere"
egen p_uif_inc = rowtotal(b83f015 b84f015 b85f015 b86f015 b87f015)
egen uif_inc = sum(p_uif_inc), by(uqnr)
drop b83f015 b84f015 b85f015 b86f015 b87f015
la var p_uif_inc ". Workmen's Compensation; UIF; Pneumoconiosis and Silicosis Funds; etc - IND"
la var uif_inc ". Workmen's Compensation; UIF; Pneumoconiosis and Silicosis Funds; etc"
egen p_other_inc = rowtotal(zero)
egen other_inc = sum(p_other_inc), by(uqnr)
la var p_other_inc "... Total income from all other sources - IND"
la var other_inc "... Total income from all other sources"
egen p_oap_inc = rowtotal(b83f012 b84f012 b85f012 b86f012 b87f012)
egen oap_inc = sum(p_oap_inc), by(uqnr)
drop b83f012 b84f012 b85f012 b86f012 b87f012
la var p_oap_inc "Social Grants: Old age pension; war veterans grants - IND"
la var oap_inc "Social Grants: Old age pension; war veterans grants"
egen p_dg_inc = rowtotal(b83f013 b84f013 b85f013 b86f013 b87f013)
egen dg_inc = sum(p_dg_inc), by(uqnr)
drop b83f013 b84f013 b85f013 b86f013 b87f013
la var p_dg_inc "Social Grants: Disability grant - IND"
la var dg_inc "Social Grants: Disability grant"
egen p_othgrants_inc = rowtotal(b83f014 b84f014 b85f014 b86f014 b87f014)
egen othgrants_inc = sum(p_othgrants_inc), by(uqnr)
drop b83f014 b84f014 b85f014 b86f014 b87f014
la var p_othgrants_inc "Social Grants: Family and other allowances (incl CSG) - IND"
la var othgrants_inc "Social Grants: Family and other allowances (incl CSG)"
egen hobbies_inc = rowtotal(b88f001)
drop b88f001
la var hobbies_inc ". Net income from hobbies, sidelines, part-time activities"
egen propertysale_inc = rowtotal(b88f002 b88f003 b88f004)
drop b88f002 b88f003 b88f004
la var propertysale_inc ". Income from sale of vehicles and property"
egen boarders_inc = rowtotal(b88f005)
drop b88f005
la var boarders_inc ". Payments received from boarders, other hh members"
egen fringebenefits_inc = rowtotal(b88f006 b88f007 b88f008 b88f009)
drop b88f006 b88f007 b88f008 b88f009
la var fringebenefits_inc ". Value of G&S received by virtue of employment"
egen lumpsums_inc = rowtotal(b88f010 b88f011 b88f012 b88f013)
drop b88f010 b88f011 b88f012 b88f013
la var lumpsums_inc ". Gratuities/lump-sums from pension, provident, insurance"
egen claims_inc = rowtotal(b88f014 b88f015 b88f016 b88f017)
drop b88f014 b88f015 b88f016 b88f017
la var claims_inc ". Payments received in terms of claims"
egen stokvel_inc = rowtotal(b88f018)
drop b88f018
la var stokvel_inc ". Stokvel"
egen bursaries_inc = rowtotal(b88f020)
drop b88f020
la var bursaries_inc ". Non-refundable bursaries from all sources"
egen donations_inc = rowtotal(zero)
la var donations_inc ".. Benefits, donations and gifts received from all sources"
egen cashreceived_inc = rowtotal(b88f021)
drop b88f021
la var cashreceived_inc ". Cash, incl bonuses from buying associations"
egen foodik_inc = rowtotal(b88f022)
drop b88f022
la var foodik_inc ". Value of food received (income in-kind)"
egen housingik_inc = rowtotal(b88f023)
drop b88f023
la var housingik_inc ". Value of housing received (income in-kind)"
egen clothingik_inc = rowtotal(b88f024)
drop b88f024
la var clothingik_inc ". Value of clothing not from employer (income in-kind)"
egen otherik_inc = rowtotal(b88f025)
drop b88f025
la var otherik_inc ". Value of other benefits, donations, gifts (income in-kind)"
egen lobola_inc = rowtotal(b88f026)
drop b88f026
la var lobola_inc ". Lobola/dowry received"
egen unspec_inc = rowtotal(b88f027 b88f028 b68f003)
drop b88f027 b88f028 b68f003
la var unspec_inc "All other income not elsewhere specified"
egen _dissaving_in = rowtotal(b88f019)
drop b88f019
la var _dissaving_in ". Net withdrawals from savings"
gen _imputedrent_in = .
la var _imputedrent_in ".. Imputed rent on owner-occupied housing"
egen p_Work_inc = rowtotal(p_wages_inc)
egen Work_inc = sum(p_Work_inc), by(uqnr)
la var p_Work_inc "SUBTOTAL: Income from work - IND"
la var Work_inc "SUBTOTAL: Income from work"
egen p_Grants_inc = rowtotal(p_oap_inc p_dg_inc p_othgrants_inc)
egen Grants_inc = sum(p_Grants_inc), by(uqnr)
la var p_Grants_inc "SUBTOTAL: Social grants - IND"
la var Grants_inc "SUBTOTAL: Social grants"
egen p_Allother_inc = rowtotal(letting_inc royalties_inc interest_inc pension_inc annuities_inc alimony_inc regallow_inc uif_inc other_inc)
egen Allother_inc = rowtotal(hobbies_inc propertysale_inc boarders_inc fringebenefits_inc lumpsums_inc claims_inc stokvel_inc bursaries_inc donations_inc cashreceived_inc foodik_inc housingik_inc clothingik_inc otherik_inc lobola_inc unspec_inc)
replace Allother_inc=Allother_inc+p_Allother_inc
drop p_Allother_inc
la var Allother_inc "SUBTOTAL: All other income"
gen TOTAL_INC = Work_inc + Grants_inc + Allother_inc
la var TOTAL_INC "TOTAL: All income"
drop b83f100
drop b83f200
drop b84f100
drop b84f200
drop b85f100
drop b85f200
drop b86f100
drop b86f200
drop b87f100
drop b87f200
drop b88f100
