egen p_wages_inc = rowtotal(p2401q0101 p2401q0102 p2401q0103 p2401q0104 p2401q02)
egen wages_inc = sum(p_wages_inc), by(uqnr)
drop p2401q0101 p2401q0102 p2401q0103 p2401q0104 p2401q02
la var p_wages_inc "Salary, wages; income from business - IND"
la var wages_inc "Salary, wages; income from business"
egen p_letting_inc = rowtotal(p2401q0301 p2401q0302)
egen letting_inc = sum(p_letting_inc), by(uqnr)
drop p2401q0301 p2401q0302
la var p_letting_inc ". Letting of fixed property - IND"
la var letting_inc ". Letting of fixed property"
egen p_royalties_inc = rowtotal(p2401q04)
egen royalties_inc = sum(p_royalties_inc), by(uqnr)
drop p2401q04
la var p_royalties_inc ". Royalties - IND"
la var royalties_inc ". Royalties"
egen p_interest_inc = rowtotal(p2401q05 p2401q06)
egen interest_inc = sum(p_interest_inc), by(uqnr)
drop p2401q05 p2401q06
la var p_interest_inc ". Interest and dividends - IND"
la var interest_inc ". Interest and dividends"
egen p_pension_inc = rowtotal(p2401q0701)
egen pension_inc = sum(p_pension_inc), by(uqnr)
drop p2401q0701
la var p_pension_inc ". Employment-based pension - IND"
la var pension_inc ". Employment-based pension"
egen p_annuities_inc = rowtotal(p2401q0702)
egen annuities_inc = sum(p_annuities_inc), by(uqnr)
drop p2401q0702
la var p_annuities_inc ". Annuities; similar recurring receipts from own investments - IND"
la var annuities_inc ". Annuities; similar recurring receipts from own investments"
egen p_alimony_inc = rowtotal(p2401q08)
egen alimony_inc = sum(p_alimony_inc), by(uqnr)
drop p2401q08
la var p_alimony_inc ". Alimony, maintenance & similar allowances - IND"
la var alimony_inc ". Alimony, maintenance & similar allowances"
egen p_regallow_inc = rowtotal(p2401q09)
egen regallow_inc = sum(p_regallow_inc), by(uqnr)
drop p2401q09
la var p_regallow_inc ". Regular allowances from family members living elsewhere - IND"
la var regallow_inc ". Regular allowances from family members living elsewhere"
egen p_uif_inc = rowtotal(p2401q0704)
egen uif_inc = sum(p_uif_inc), by(uqnr)
drop p2401q0704
la var p_uif_inc ". Workmen's Compensation; UIF; Pneumoconiosis and Silicosis Funds; etc - IND"
la var uif_inc ". Workmen's Compensation; UIF; Pneumoconiosis and Silicosis Funds; etc"
egen p_other_inc = rowtotal(zero)
egen other_inc = sum(p_other_inc), by(uqnr)
la var p_other_inc "... Total income from all other sources - IND"
la var other_inc "... Total income from all other sources"
egen p_oap_inc = rowtotal(p2401q070301)
egen oap_inc = sum(p_oap_inc), by(uqnr)
drop p2401q070301
la var p_oap_inc "Social Grants: Old age pension; war veterans grants - IND"
la var oap_inc "Social Grants: Old age pension; war veterans grants"
egen p_dg_inc = rowtotal(p2401q070302)
egen dg_inc = sum(p_dg_inc), by(uqnr)
drop p2401q070302
la var p_dg_inc "Social Grants: Disability grant - IND"
la var dg_inc "Social Grants: Disability grant"
egen p_othgrants_inc = rowtotal(p2401q070303)
egen othgrants_inc = sum(p_othgrants_inc), by(uqnr)
drop p2401q070303
la var p_othgrants_inc "Social Grants: Family and other allowances (incl CSG) - IND"
la var othgrants_inc "Social Grants: Family and other allowances (incl CSG)"
egen hobbies_inc = rowtotal(p2402q01)
drop p2402q01
la var hobbies_inc ". Net income from hobbies, sidelines, part-time activities"
egen propertysale_inc = rowtotal(p2402q0201 p2402q0202 p2402q0203)
drop p2402q0201 p2402q0202 p2402q0203
la var propertysale_inc ". Income from sale of vehicles and property"
egen boarders_inc = rowtotal(p2402q03)
drop p2402q03
la var boarders_inc ". Payments received from boarders, other hh members"
egen fringebenefits_inc = rowtotal(p2402q0401 p2402q0402 p2402q0403 p2402q0404)
drop p2402q0401 p2402q0402 p2402q0403 p2402q0404
la var fringebenefits_inc ". Value of G&S received by virtue of employment"
egen lumpsums_inc = rowtotal(p2402q0501 p2402q0502 p2402q0503 p2402q0504)
drop p2402q0501 p2402q0502 p2402q0503 p2402q0504
la var lumpsums_inc ". Gratuities/lump-sums from pension, provident, insurance"
egen claims_inc = rowtotal(p2402q0601 p2402q0602 p2402q0603 p2402q0604)
drop p2402q0601 p2402q0602 p2402q0603 p2402q0604
la var claims_inc ". Payments received in terms of claims"
egen stokvel_inc = rowtotal(p2402q07)
drop p2402q07
la var stokvel_inc ". Stokvel"
egen bursaries_inc = rowtotal(p2402q0802)
drop p2402q0802
la var bursaries_inc ". Non-refundable bursaries from all sources"
egen donations_inc = rowtotal(p2402q0803)
drop p2402q0803
la var donations_inc ".. Benefits, donations and gifts received from all sources"
egen cashreceived_inc = rowtotal(p2402q0804)
drop p2402q0804
la var cashreceived_inc ". Cash, incl bonuses from buying associations"
egen foodik_inc = rowtotal(p2402q0805)
drop p2402q0805
la var foodik_inc ". Value of food received (income in-kind)"
egen housingik_inc = rowtotal(p2402q0806)
drop p2402q0806
la var housingik_inc ". Value of housing received (income in-kind)"
egen clothingik_inc = rowtotal(p2402q0807)
drop p2402q0807
la var clothingik_inc ". Value of clothing not from employer (income in-kind)"
egen otherik_inc = rowtotal(p2402q0808)
drop p2402q0808
la var otherik_inc ". Value of other benefits, donations, gifts (income in-kind)"
egen lobola_inc = rowtotal(p2402q09)
drop p2402q09
la var lobola_inc ". Lobola/dowry received"
egen unspec_inc = rowtotal(p2402q10 p2402q11 undecincome p2103q03)
drop p2402q10 p2402q11 undecincome p2103q03
la var unspec_inc "All other income not elsewhere specified"
egen _dissaving_in = rowtotal(p2402q0801)
drop p2402q0801
la var _dissaving_in ". Net withdrawals from savings"
gen _imputedrent_in = .
la var _imputedrent_in ".. Imputed rent on owner-occupied housing"
egen p_Work_inc = rowtotal(p_wages_inc)
egen Work_inc = sum(p_Work_inc), by(uqnr)
la var p_Work_inc "SUBTOTAL: Income from work - IND"
la var Work_inc "SUBTOTAL: Income from work"
egen p_Grants_inc = rowtotal(p_oap_inc p_dg_inc p_othgrants_inc)
egen Grants_inc = sum(p_Grants_inc), by(uqnr)
la var p_Grants_inc "SUBTOTAL: Social grants - IND"
la var Grants_inc "SUBTOTAL: Social grants"
egen p_Allother_inc = rowtotal(letting_inc royalties_inc interest_inc pension_inc annuities_inc alimony_inc regallow_inc uif_inc other_inc hobbies_inc propertysale_inc boarders_inc fringebenefits_inc lumpsums_inc claims_inc stokvel_inc bursaries_inc donations_inc cashreceived_inc foodik_inc housingik_inc clothingik_inc otherik_inc lobola_inc unspec_inc)
egen Allother_inc = sum(p_Allother_inc), by(uqnr)
drop p_Allother_inc
replace Allother_inc = Allother_inc + hobbies_inc + propertysale_inc + boarders_inc + fringebenefits_inc + lumpsums_inc + claims_inc + stokvel_inc + bursaries_inc + donations_inc + cashreceived_inc + foodik_inc + housingik_inc + clothingik_inc + otherik_inc + lobola_inc + unspec_inc
la var Allother_inc "SUBTOTAL: All other income"
gen TOTAL_INC = Work_inc + Grants_inc + Allother_inc
la var TOTAL_INC "TOTAL: All income"
