egen p_wages_inc = rowtotal(inc50100000)
drop inc50100000
la var p_wages_inc "Salary, wages; income from business - IND"
gen wages_inc = exp50100000
la var wages_inc "Salary, wages; income from business"
drop exp50100000
egen p_oap_inc = rowtotal(inc50331000 inc50333400)

drop inc50331000 inc50333400
la var p_oap_inc "Social Grants: Old age pension; war veterans grants - IND"

gen oap_inc = exp50331000+exp50333400
drop exp50331000 exp50333400
la var oap_inc "Social Grants: Old age pension; war veterans grants"
egen p_dg_inc = rowtotal(inc50332000)
drop inc50332000
la var p_dg_inc "Social Grants: Disability grant - IND"
gen dg_inc = exp50332000
drop exp50332000
la var dg_inc "Social Grants: Disability grant"
egen p_othgrants_inc = rowtotal(inc50333000 inc50333100 inc50333200 inc50333300 inc50333500)
drop inc50333000 inc50333100 inc50333200 inc50333300 inc50333500
la var p_othgrants_inc "Social Grants: Family and other allowances (incl CSG) - IND"
gen othgrants_inc = exp50333000 + exp50333100 + exp50333200 + exp50333300 + exp50333500
drop exp50333000 exp50333100 exp50333200 exp50333300 exp50333500
la var othgrants_inc "Social Grants: Family and other allowances (incl CSG)"
gen _dissaving_in = .
la var _dissaving_in ". Net withdrawals from savings"
egen _imputedrent_in = rowtotal(exp50600000)
drop exp50600000
la var _imputedrent_in ".. Imputed rent on owner-occupied housing"
egen p_Work_inc = rowtotal(p_wages_inc)
egen Work_inc = sum(p_Work_inc), by(uqnr)
la var p_Work_inc "SUBTOTAL: Income from work - IND"
la var Work_inc "SUBTOTAL: Income from work"
egen p_Grants_inc = rowtotal(p_oap_inc p_dg_inc p_othgrants_inc)
egen Grants_inc = sum(p_Grants_inc), by(uqnr)
la var p_Grants_inc "SUBTOTAL: Social grants - IND"
la var Grants_inc "SUBTOTAL: Social grants"
egen Allother_inc = rowtotal(exp50400000 exp50519000 exp50519100)
drop exp50400000 exp50519000 exp50519100
la var Allother_inc "SUBTOTAL: All other income"
gen TOTAL_INC = Work_inc + Grants_inc + Allother_inc
la var TOTAL_INC "TOTAL: All income"
drop inc50519100
